#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  void @COMPONENT::vhdl_testbench_transition ()
  {
    log_printf(FUNC,@COMPONENT,"vhdl_testbench_transition","Begin");

    // Evaluation before read the ouput signal
    sc_start(0);

    _interfaces->testbench();

    log_printf(FUNC,@COMPONENT,"vhdl_testbench_transition","End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
